Bug 1259750 - DHT: Few files are missing after remove-brick operation
DHT: Few files are missing after remove-brick operation
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.1
Assigned To: Susant Kumar Palai
RajeshReddy
: ZStream
Depends On:
Blocks: 1260051 1262197
  Show dependency treegraph
 
Reported: 2015-09-03 09:23 EDT by RajeshReddy
Modified: 2016-07-13 18:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.7.1-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1260051 (view as bug list)
Environment:
Last Closed: 2015-10-05 03:25:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-09-03 09:23:28 EDT
Description of problem:
=====================
Few files are missing after removal of brick, even those files are not exist in the decommissioned brick and this is data loss 

Version-Release number of selected component (if applicable):
===============
glusterfs-server-3.7.1-12

How reproducible:


Steps to Reproduce:
===================
1. Create a distributed volume with three bricks, and mount it on client using FUSE and create 2k files
2. Make sure one of the brick is at least 90% full (fill it from the back end)  
3. Delete all files from the mount point
4. Create 2k files with the same name and it result creation of few files with -----T attribute on the 90% full brick 
5. Create hard links to the -----T files from the mount point 
6. Remove the brick which holds both data and link files 

Actual results:
==============
Remove brick operation succeeded but deleted data file 

Expected Result:
============
All files should be migrated properly from the decommissioned brick to remaining bricks 

Info
=======
[root@rhs-client39 data]# gluster vol status dht10
Status of volume: dht10
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick rhs-client9.lab.eng.blr.redhat.com:/r
hs/brick1/dht10                             49180     0          Y       957  
Brick rhs-client39.lab.eng.blr.redhat.com:/
rhs/brick10/dht10                           49170     0          Y       5902 
Brick rhs-client39.lab.eng.blr.redhat.com:/
rhs/brick3/dht10                            49171     0          Y       5920 
NFS Server on localhost                     2049      0          Y       5939 
NFS Server on rhs-client9.lab.eng.blr.redha
t.com                                       2049      0          Y       1183 
 
Task Status of Volume dht10
------------------------------------------------------------------------------
Task                 : Remove brick        
ID                   : 0dcc1704-0a0f-4eb0-ad15-de7235271da1
Removed bricks:     
rhs-client39.lab.eng.blr.redhat.com:/rhs/brick3/dht10
Status               : completed
Comment 3 Susant Kumar Palai 2015-09-11 02:45:49 EDT
downstream patch: https://code.engineering.redhat.com/gerrit/#/c/57566/
Comment 4 Susant Kumar Palai 2015-09-11 08:14:27 EDT
We are targeting one more patch for this bug. 
https://code.engineering.redhat.com/gerrit/#/c/57617/

Hence, moving this back to POST.
Comment 7 RajeshReddy 2015-09-16 06:43:55 EDT
Tested with build glusterfs-3.7.1-15, and ran fallowing tests and all tests passed so marking this bug as verified 

1. Removed the brick which has both data and Hard link files 
2. Removed the birck which has hard link files 
3. Removed the brick which has data files
Comment 9 errata-xmlrpc 2015-10-05 03:25:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.